Bug 814112 - Cannot build RichFaces Showcase with EAP 6 ER5 Maven repo
Summary: Cannot build RichFaces Showcase with EAP 6 ER5 Maven repo
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise WFK Platform 2
Classification: Retired
Component: RichFaces
Version: 2.0.0.ER4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 2.0.0.ER5
Assignee: Brian Leathem
QA Contact: Pavol Pitonak
URL:
Whiteboard: showcase
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-19 09:24 UTC by Pavol Pitonak
Modified: 2012-05-17 07:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-17 07:08:52 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 820950 0 urgent CLOSED Cannot build RichFaces Showcase with EAP 6.0.0.ER6 and WFK 2.0.0.ER5 Maven repo 2021-02-22 00:41:40 UTC

Internal Links: 820950

Description Pavol Pitonak 2012-04-19 09:24:23 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. extract jboss-wfk-2.0.0.ER4-richfaces-demo.zip
2. build richfaces-showcase with EAP 6.0.0.ER5 Maven repository

  
Actual results:
[ERROR] Failed to execute goal on project richfaces-showcase: Could not resolve dependencies for project org.richfaces.examples:richfaces-showcase:war:4.2.0.Final-redhat-1: Could not find artifact org.hibernate:hibernate-entitymanager:jar:4.1.1.Final-redhat-1 in wfk2-enterprise-repository (file:///data/eclipse-workspace/wfk/wfk-tools/maven-bootstrap/jboss-wfk-2.0.0.ER4-maven-repository) -> [Help 1]

Expected results:


Additional info:
EAP 6.0.0.ER5 Maven repository contains hibernate-entitymanager 4.1.2.Final-redhat-1

Comment 1 Marek Novotny 2012-04-27 14:55:00 UTC
ER6 contains 4.1.3.ER1-redhat-1 and that works with current rf showcase

Comment 2 Jan Papousek 2012-05-11 12:12:19 UTC
Realeted issue: https://bugzilla.redhat.com/show_bug.cgi?id=820950 (Cannot build RichFaces Showcase with EAP 6.0.0.ER6 and WFK 2.0.0.ER5 Maven repo)

Comment 3 Karel Piwko 2012-05-17 07:08:52 UTC
Closing this issue, as EAP 6.0.0.ER5 is already out of date. See "see also" field for more recent EAP maven repository.


Note You need to log in before you can comment on or make changes to this bug.